-- player/init.lua

dofile(minetest.get_modpath("player_api") .. "/api.lua")

-- Default player appearance
player_api.register_model("character.b3d", {
	animation_speed = 30,
	textures = {"character.png", },
	animations = {
		-- Standard animations.
		stand     = {x = 0,   y = 79},
		lay       = {x = 162, y = 166},
		walk      = {x = 168, y = 187},
		mine      = {x = 189, y = 198},
		walk_mine = {x = 200, y = 219},
		sit       = {x = 81,  y = 160},
	},
	collisionbox = {-0.3, 0.0, -0.3, 0.3, 1.7, 0.3},
	stepheight = 0.6,
	eye_height = 1.47,
})

-- Update appearance when the player joins
minetest.register_on_joinplayer(function(player)
	player_api.player_attached[player:get_player_name()] = false
	player_api.set_model(player, "character.b3d")
	player:set_local_animation(
		{x = 0,   y = 79},
		{x = 168, y = 187},
		{x = 189, y = 198},
		{x = 200, y = 219},
		30
	)
end)


-- Removing fall damage is done by overwriting the group
-- fall_damage_add_percent of all nodes. ]]
local function increase_fall_damage()
  for itemstring, def in pairs(minetest.registered_nodes) do
    local groups = def.groups and table.copy(def.groups)
    if groups then
      groups.fall_damage_add_percent = 30
      -- Let's hack the node!
      minetest.override_item(itemstring, { groups = groups })
    end
  end
end

minetest.register_on_mods_loaded(increase_fall_damage)

